Subject: bug#42805: 27.1; cc-mode/syntax/font-lock bug

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 27 Aug 2021 19:56:24 +0200

Alan Mackenzie <[email-masked]> writes:

>> >   When c-multiline-string-start-char is set, font locking breaks after 
>> >   changes in string literals. The issue started after commit 2ca12bb3de:
>> >   I believe that '(c-remove-string-fences (car end-limits))' should be 
>> >   '(c-remove-string-fences (1- (cdr end-limits)))' 
>
>> >   Steps to reproduce: 
>> >     1. Open a .c file; 
>> >     2. Eval '(setq c-multiline-string-start-char ?@)'; 
>> >     3. Delete/insert double quotes. 
>
> I've just done this, and not noticed anything adrift other than
> exceptionally long delays in making the changes.  Would you please state
> more precisely what the problem is that you see.  Thanks!

This was half a year ago, and there was no response (and I can't
reproduce the problem either in 27.1 or the current trunk), so I'm
closing this bug report.  If the problem still exists, please respond to
this email and we'll reopen the bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no